/*** HERO SECTION ***/

.section-hero {
  background-color: #c6ccc3;
  padding: 4.8rem 0 9.6rem 0;
}

.hero {
  max-width: 130rem;
  padding: 0 3.2rem;
  margin: 0 auto;
  display: grid;
  gap: 9.6rem;
  grid-template-columns: 1fr 1fr;
  align-items: center;
}
.heading-primary,
.heading-secondary,
.heading-tertiary {
  font-weight: 700;
  letter-spacing: -1.5px;
  color: #333;
}
.heading-primary {
  font-size: 5.2rem;
  line-height: 1.05;
  margin-bottom: 3.2rem;
}
.heading-secondary {
  font-size: 4.4rem;
  line-height: 1.2;
  margin-bottom: 9.6rem;
}
.heading-tertiary {
  font-size: 3rem;
  line-height: 1.2;
  margin-bottom: 3.2rem;
}
.subheading {
  display: block; /* as it is an inline element*/
  font-size: 1.6rem;
  font-weight: 500;
  color: #2b8a3e;
  text-transform: uppercase;
  margin-bottom: 1.6rem;
  letter-spacing: 0.75px;
}
.hero-description {
  font-size: 2rem;
  line-height: 1.5;
  margin-bottom: 4.8rem;
}

.delivered-meals {
  display: flex;
  align-items: center;
  gap: 1.6rem;
  margin-top: 8rem;
}
.delivered-imgs {
  display: flex;
}
.delivered-imgs img {
  height: 4.8rem;
  width: 4.8rem;
  border-radius: 50%;
  margin-right: -1.6rem;
}
.delivered-imgs img:last-child() {
  margin: 0;
}
.delivered-text {
  font-size: 1.8rem;
  font-weight: 600;
  margin: 2.3rem;
  color: #333;
}
.delivered-text span {
  color: #405537;
}

.header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  background-color: #c6ccc3;
  /*Because we want to make it sticky*/
  height: 9.6rem;
  padding: 0 4.8rem;
  position: relative;
}
.logo {
  height: 12.4rem;
}
.main-nav-list {
  list-style: none;
  display: flex;
  gap: 4.8rem;
  align-items: center;
}
.main-nav-link:link,
.main-nav-link:visited {
  display: inline-block;
  text-decoration: none;
  color: #333;
  font-weight: 500;
  font-size: 1.8rem;
  transition: all 0.3s;
}
.main-nav-link:hover,
.main-nav-link:active {
  text-decoration: none;
  color: #405537;
  font-weight: 500;
  font-size: 1.8rem;
}
.main-nav-link.nav-cta:link,
.main-nav-link.nav-cta:visited {
  padding: 1.2rem 2.4rem;
  border-radius: 9px;
  color: #fff;
  background-color: #405537;
}
.main-nav-link.nav-cta:hover,
.main-nav-link.nav-cta:active {
  background-color: #3a4d32;
}
/**** HOW IT WORKS SECTION***/
.section-how {
  padding: 9.6rem 0;
  background-color: white;
}
.step-number {
  font-size: 8.6rem;
  font-weight: 600;
  color: #ddd;
  margin-bottom: 1.2rem;
}
.step-description {
  font-size: 1.8rem;
  line-height: 1.6;
}
.step-img-box {
  /* center the image*/
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
}
.step-img-box::before {
  content: "";
  display: block;
  width: 60%;
  /*60% of parents width*/
  padding-bottom: 60%;
  background-color: #eceeeb;
  position: absolute;
  top: 90%;
  left: 70%;
  transform: translate(-60%, -60%);
  border-radius: 70%;
}

.step-img-box::after {
  content: "";
  display: block;
  width: 45%;
  /*50% of parents width*/
  padding-bottom: 45%;
  background-color: #d9ddd7;
  position: absolute;
  top: 35%;
  left: 35%;
  transform: translate(-50%, -50%);
  border-radius: 90%;
}

.step-img {
  width: 35%; /* it occupies 50% of the parent container*/
  z-index: 10;
}

/*** FEATURED IN SECTION ***/
.section-featured {
  padding: 4.8rem 0 3.2rem 0;
}
.heading-featured-in {
  font-size: 1.4rem;
  text-transform: uppercase;
  letter-spacing: 0.75px;
  font-weight: 500;
  text-align: center;
  margin-bottom: 2.4rem;
  color: #888;
}
.logos {
  display: flex;
  justify-content: space-around;
}
.logos img {
  height: 3.2rem;
  filter: brightness(0);
  opacity: 50%;
}

/* MEALS SECTION*/
.section-meals {
  padding: 9.6rem 0;
}
.meal-title {
  font-size: 2.4rem;
  color: #333;
  font-weight: 600;
  margin-bottom: 3.2rem;
}
.meal-attribute {
  list-style: none;
  display: flex;
  flex-direction: column; /*change to the column it is vertical now */
  gap: 2rem;
}

.meal-img {
  width: 100%;
}
.meal-attributes {
  font-size: 1.8rem;
  display: flex;
  align-items: center;
  gap: 1.2rem;
}

.meal-icon {
  height: 2.4rem;
  width: 2.4rem;
  color: #2b8a3e;
}
.tag {
  display: inline-block;
  padding: 0.4rem 0.8rem;
  font-size: 1.2rem;
  text-transform: uppercase;
  color: #333;
  border-radius: 100px;
  font-weight: bold;
}
.meal-tags {
  margin-bottom: 1.2rem;
  display: flex;
  gap: 0.2rem;
}
.meal {
  box-shadow: 0 2.4rem 4.8rem rgba(0, 0, 0, 0.075);
  border-radius: 11px;
  overflow: hidden;
  transition: all 0.4s;
}
.meal-box {
  padding: 3.2rem 4.8rem 4.8rem 4.8rem;
}
.tag--vegeterian {
  background-color: #2b8a3e;
}
.tag--vegan {
  background-color: #94d82d;
}
.tag--paleo {
  background-color: #ffd43b;
}

.margin-bot-md {
  margin-bottom: 4.8rem !important;
}
.all-recipes {
  text-align: center;
  font-size: 1.8rem;
}
.link:link,
.link:visited {
  display: inline-block;
  color: #2b8a3e;
  text-decoration: none;
  border-bottom: 1px solid currentColor;
  padding-bottom: 2px;
}
.link:hover,
.link:active {
  color: #2f9e44;
  border-bottom: 1pxx solid transparent;
}
.meal:hover {
  transform: translateY(-1.2rem); /*moving*/
  box-shadow: 0 3.2rem 6.4rem rgba(0, 0, 0, 0.075);
}

/*** TESTIMONALS SECTION ***/
.section-testimonials {
  background-color: #eceeeb;
  display: grid;
  grid-template-columns: 55fr 45fr;
  align-items: center;
}

.testimonials-container {
  padding: 9.6rem;
}

.testimonials {
  display: grid;
  grid-template-columns: 1fr 1fr;
  row-gap: 4.8rem;
  column-gap: 8rem;
}

.testimonial-img {
  width: 6.4rem;
  border-radius: 50%;
  margin-bottom: 1.2rem;
}

.testimonial-text {
  font-size: 1.8rem;
  line-height: 1.8;
  margin-bottom: 1.6rem;
}

.testimonial-name {
  font-size: 1.6rem;
  color: #6f6f6f;
}

.gallery {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 1.6rem;
  padding: 1.6rem;
}
.gallery-item img {
  display: block;
  width: 100%;
  transition: all 0.4s;
}
.gallery-item img:hover {
  transform: scale(1.1);
}
.gallery-item {
  overflow: hidden; /*doesn't overflow the figure element*/
}

/*** MEALS SECTION ***/
.section-pricing {
  padding: 9.6rem 0;
}
.plan-header {
  text-align: center;
  margin-bottom: 4.8rem;
}
.plan-name {
  color: #3a4d32;
  font-weight: 600;
  font-size: 1.6rem;
  text-transform: uppercase;
  letter-spacing: 0.75;
  margin-bottom: 3.2rem;
}
.plan-price {
  font-size: 6.2rem;
  font-weight: 600;
  color: #333;
  margin-bottom: 1.6rem;
}
.plan-text {
  font-size: 1.8rem;
  line-height: 1.6;
  color: #777;
}
.plan-price span {
  font-size: 3rem;
  font-weight: 500;
  margin-right: 0.8rem;
}
.plan-sign-up {
  text-align: center;
  margin-top: 4.8rem;
}
.pricing-plan {
  border-radius: 11px;
  width: 75%;
}
.pricing-plan--starter {
  justify-self: end;
  border: 2px solid #c6ccc3;
  padding: 4.6rem;
}
.pricing-plan--complete {
  background-color: #c6ccc3;
  padding: 4.8rem;
  position: relative;
  overflow: hidden;
}
.pricing-plan--complete::after {
  content: "Best Value";
  position: absolute;
  top: 6%;
  right: -18%;
  text-transform: uppercase;
  color: #333;
  background-color: #ffd43b;
  padding: 0.8rem 8rem;
  transform: rotate(45deg);
  font-weight: 700;
}
.feature-icon {
  width: 3.2rem;
  height: 3.2rem;
  background-color: #c6ccc3;
  padding: 1.6rem;
  border-radius: 50%;
  color: #2b8a3e;
  margin-bottom: 3.2rem;
}
.feature-title {
  font-size: 2.4rem;
  color: #333;
  font-weight: 700;
  margin-bottom: 1.6rem;
}
.feature-text {
  font-size: 1.8rem;
  line-height: 1.8;
}
.grid:not(:last-child) {
  margin-bottom: 9.6rem;
}
.plan-details {
  font-size: 1.6rem;
  line-height: 1.6;
  text-align: center;
}

.section-cta {
  /*top horizontal left*/
  padding: 4.8rem 0 12.8rem;
}
.cta {
  display: grid;
  /*2/3 = 66.6% + 1/3 = 33.3% */
  grid-template-columns: 2fr 1fr;
  box-shadow: 0 2.4rem 4.8rem rgba(0, 0, 0, 0.015);
  border-radius: 11px;
  background-image: linear-gradient(to right bottom, #eb984e, #e67e22);
  overflow: hidden;
}

.cta-img-box {
  background-image: linear-gradient(
      to right bottom,
      rgba(235, 151, 78, 0.35),
      rgba(230, 125, 32, 0.35)
    ),
    url("../img/eating.jpg");
  background-size: cover;
  background-position: center;
}
.cta-text-box {
  padding: 4.8rem 6.4rem 6.4rem 6.4rem;
  color: #2e1907;
}
.cta .heading-secondary {
  color: #2e1907;
  margin-bottom: 3.2rem;
}
.cta-text {
  font-size: 1.8rem;
  line-height: 1.8;
  margin-bottom: 4.8rem;
}
.cta-form {
  display: grid;
  grid-template-columns: 1fr 1fr;
  column-gap: 3.2rem;
  row-gap: 2.4rem;
}
.cta-form label {
  display: block;
  font-size: 1.6rem;
  font-weight: 500;
  margin-bottom: 1.2rem;
}
.cta-form input,
.cta-form select {
  width: 100%;
  padding: 1.2rem;
  font-size: 1.8rem;
  font-family: inherit;
  border: none;
  background-color: #fdf2e9;
  border-radius: 9px;
  box-shadow: 0 1px 2px rgba(0, 0, 0, 0.1);
  color: inherit;
}
.cta-form input::placeholder {
  color: #aaa;
}

/**Footer**/
.footer {
  padding: 12.8rem 0;
  border-top: 1px solid #eee;
}
.footer-heading {
  font-size: 1.8rem;
  font-weight: 500;
  margin-bottom: 4rem;
}
.footer-nav {
  list-style: none;
  display: flex;
  flex-direction: column;
  gap: 2.4rem;
}
.footer-link:link,
.footer-link:visited {
  text-decoration: none;
  font-size: 1.6rem;
  color: #767676;
  transition: all 0.3s;
}
.footer-link:hover,
.footer-link:active {
  color: #555;
}
.social-links {
  list-style: none;
  display: flex;
  gap: 2.4rem;
}
.footer-logo {
  display: block;
  margin-bottom: 3.2rem;
}
.social-icon {
  height: 2.4rem;
  width: 2.4rem;
}
.copyright {
  font-size: 1.4rem;
  color: #767676;
  line-height: 1.6;
  margin-top: auto;
}
.logo-col {
  display: flex;
  flex-direction: column;
}
.contacts {
  font-style: normal;
  font-size: 1.6rem;
  line-height: 1.6;
}
.address {
  margin-bottom: 2.4rem;
}
.grid--footer {
  grid-template-columns: 1.5fr 1.5fr 1fr 1fr 1fr;
}
/* MOBILE */
.btn-mobile-nav {
  border: none;
  background: none;
  cursor: pointer;
  display: none;
}
.icon-mobile-nav {
  height: 4.8rem;
  width: 4.8rem;
  color: #333;
}
.icon-mobile-nav[name="close-outline"] {
  display: none;
}

.sticky .header {
  position: fixed;
  top: 0;
  bottom: 0;
  width: 100%;
  height: 8rem;
  padding-top: 0;
  padding-bottom: 0;
  background-color: rgba(255, 255, 255, 0.97);
  z-index: 999;
  box-shadow: 0 1.2rem 3.2rem rgba(0, 0, 0, 0.03);
}
.sticky .section-hero {
  margin-top: 9.6rem;
}
